<?xml version="1.0" encoding="UTF-8"?><record_update table="sp_widget">
    <sp_widget action="INSERT_OR_UPDATE">
        <category>custom</category>
        <client_script><![CDATA[function(BHWizard) {

	var c = this;
	c.cs = null;
	c.showProgress = true;

	init();

	function init () {

		c.cs = BHWizard.getCase();

		if (!c.cs.outcome || c.cs.outcome.success === true) {

			c.stepIterator = new Array(c.cs.wiz.stepCount);

			if (c.cs.cqi) {
				c.stepNumber = c.cs.cqi.stepNumber;
			} else {
				c.stepNumber = c.stepIterator.length;
			}

		} else {
			c.showProgress = false;
		}


	}

	BHWizard.setListener(init);


}]]></client_script>
        <controller_as>c</controller_as>
        <css>$pi-bh-progress-background: #2D2B5D !default;
$pi-bh-progress-indicator-color: #6B5B7F !default;
$pi-bh-progress-indicator-color-active: #FFCCCE !default;
$pi-bh-progress-btn-background: rgb(57, 56, 100) !default;
$pi-bh-progress-text-color: white !default;

.bhp-indicators {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 700px;
  width: 100%;
  margin: 0 auto;
  padding-left: 20px;
}

.bhpi-circle {
  background-color: $pi-bh-progress-indicator-color;
  height: 12px;
  width: 12px;
  border-radius: 6px;
  flex: 0 0 12px;
  
  -webkit-transition: background-color 0.3s;
  transition: background-color 0.3s;
  transition-delay: 0.5s;
  
  &amp;.bhps-active {
  	background-color: $pi-bh-progress-indicator-color-active;
  }
}


.bhpi-line {
  flex: 1 1 100px;
  height: 3px;
  background-color: $pi-bh-progress-indicator-color;
  
  div {
  	width: 0px;
    -webkit-transition: width 0.5s;
    transition: width 0.5s;
  }
}


.bhps-active div {
  width: 100%;
  height: 3px;
	background-color: $pi-bh-progress-indicator-color-active;
}

.pi-bh-progress {
  background-color: $pi-bh-progress-background;
  height: 80px;
  color: $pi-bh-progress-text-color;
  padding: 20px;
}

.bhp-stepno {
  text-transform: uppercase;
  text-align: center;
  letter-spacing: 3px;
  font-size: 15px;
}

.bhp-steps {
  flex: 1 0 auto;
  height: 40px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.pi-bhp-container {
  display: flex;
  align-items: center;
  margin: 0 40px 0 auto;
}

.bhp-home {
  width: 40px;
  height: 40px;
  display: inline-block;
  position: relative;
  z-index: 20;
  display: flex;
  justify-content: center;
  align-items: center;
  
  polygon {
  	fill: $pi-bh-progress-indicator-color-active;
  }

  &amp;::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    background-color: $pi-bh-progress-btn-background;
    border-radius: 2px;
  }
}</css>
        <data_table>sp_instance</data_table>
        <demo_data/>
        <description/>
        <docs/>
        <field_list/>
        <has_preview>false</has_preview>
        <id>pi-bh-progress</id>
        <internal>false</internal>
        <link/>
        <name>BH Progress</name>
        <option_schema/>
        <public>false</public>
        <roles/>
        <script><![CDATA[(function() {

})();]]></script>
        <servicenow>false</servicenow>
        <sys_class_name>sp_widget</sys_class_name>
        <sys_created_by>dylan.lindgren</sys_created_by>
        <sys_created_on>2018-08-13 11:14:31</sys_created_on>
        <sys_id>5bb78c17dbff930027fb8a8b3a9619a9</sys_id>
        <sys_mod_count>233</sys_mod_count>
        <sys_name>BH Progress</sys_name>
        <sys_package display_value="BeHeard" source="x_pisn_bh">90ff838bdbfbd300687c26b38a96191b</sys_package>
        <sys_policy/>
        <sys_scope display_value="BeHeard">90ff838bdbfbd300687c26b38a96191b</sys_scope>
        <sys_update_name>sp_widget_5bb78c17dbff930027fb8a8b3a9619a9</sys_update_name>
        <sys_updated_by>dylan.lindgren</sys_updated_by>
        <sys_updated_on>2019-02-18 23:40:55</sys_updated_on>
        <template><![CDATA[<div class="pi-bh-progress">
  <div class="pi-bhp-container">
    <a href="?">
      <div class="bhp-home" ng-include="'/pi-bh-home.svg'"></div>
    </a>
    <div class="bhp-steps pi-bh-fadeinout" ng-class="{'pi-bh-fadeout': !c.showProgress}">
      <div class="bhp-stepno">
        ${Step} {{c.stepNumber}}/{{c.stepIterator.length}}
      </div>
      <div class="bhp-indicators">
        <div ng-repeat-start="step in c.stepIterator track by $index"
             class="bhpi-circle"
             ng-class="{'bhps-active': $index < c.stepNumber}"></div>
        <div ng-repeat-end class="bhpi-line"
             ng-if="!$last"
             ng-class="{'bhps-active': $index < c.stepNumber - 1}">
        	<div></div>
        </div>
      </div>
    </div>
  </div>
</div>]]></template>
    </sp_widget>
</record_update>
